<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.5.04  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Core function:
* replace.inc.php: last changed 005/12/2007 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
if (IsSet ($_POST['from']))
{
	$from = sanitize($_POST['from'], 100 , 'S'); //sanitize the input
}
if (IsSet ($_POST['to']))
{
	$to = sanitize($_POST['to'], 100 , 'S'); //sanitize the input
}
if (IsSet ($_GET['step']))
{
	$step = sanitize($_GET['step'], 2 , 'S'); //sanitize the input
}

include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
print "<li>&nbsp;</li>";	//dummy menu item.
include ("interface/menuend.inc.php");

if (substr("$access", 13, 1) != 1) //bit 14 off the accessrights
{
	print "<span class=\"sas_module_title\">" . $sas_lang['noaccess'] . "</span><br>";
	print  $sas_lang['noaccess_introduction'] . "<br><br><br>";
	include ("interface/footer.inc.php");
	exit;
}

print "<span class=\"sas_module_title\">" . $sas_lang['replace_tool'] . "</span><p>\n";

if ($step == "go")
{
	
	//replace the contents of the pages table
	mysqli_query($db,"UPDATE $table_pages SET content = REPLACE(content, '$from' , '$to') WHERE id > 0");
	$table_pages = $dbprefix . "prot_pages";
	mysqli_query($db,"UPDATE $table_pages SET content = REPLACE(content, '$from' , '$to') WHERE id > 0");
	//replace the contents of the studentpages table
	mysqli_query($db,"UPDATE $table_studentpages SET content = REPLACE(content, '$from' , '$to') WHERE studentid > 0");
	mysqli_query($db,"UPDATE $table_studentpages SET newontent = REPLACE(newcontent, '$from' , '$to') WHERE studentid > 0");
	$table_news = $dbprefix . "m_news_articles";
	mysqli_query($db,"UPDATE $table_news SET content = REPLACE(content, '$from' , '$to') WHERE id > 0");
	mysqli_query($db,"UPDATE $table_news SET title = REPLACE(title, '$from' , '$to') WHERE id > 0");
	$table_newsletters = $dbprefix . "m_newsletters";
	mysqli_query($db,"UPDATE $table_newsletters SET content = REPLACE(content, '$from' , '$to') WHERE id > 0");
	mysqli_query($db,"UPDATE $table_newsletters SET title = REPLACE(title, '$from' , '$to') WHERE id > 0");

	print "<p>" . $sas_lang['text'] . " <b>$from</b> " . $sas_lang['replaced_by'] . " <b>$to</b>.</span>\n";
	print "<p><br /><button onclick=\"javascript:parent.location='index.php?option=tools&suboption=replace'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>\n";

}
else
{
	print $sas_lang['replace_tool_intro'] . "</span><p>\n";
	print "<br><FORM METHOD=\"POST\" ACTION=\"index.php?option=tools&suboption=replace&step=go\">\n";
	print $sas_lang['replace_from'] . ":<br><input type=text size=45 class=\"textfield\" name=\"from\"><p>\n";
	print $sas_lang['replace_to'] . ":<br><input type=text size=45 class=\"textfield\" name=\"to\">\n";

	print "<p><br /><button onclick=\"javascript:parent.location='index.php?option=tools'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>\n";
	print "\n&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>\n";
	print "</form>\n";
}

include ("interface/menuend.inc.php");
?>