﻿/*********************************************************************************************************/
/**
 * inserthtml plugin for CKEditor 3.x (Author: Lajox ; Email: lajox@19www.com)
 * version:	 1.0
 * Released: On 2009-12-11
 * Download: http://code.google.com/p/lajox
 * changed for CKeditor 4.0 by F.C. Stuurman
 */
/*********************************************************************************************************/

// Register the plugin within the editor.
CKEDITOR.plugins.add( 'inserthtml', {

	// The plugin initialization logic goes inside this method.
	init: function( editor ) {

		var icon = this.path + 'inserthtml.gif';

		// Define an editor command that opens our dialog.
		editor.addCommand( 'inserthtml', new CKEDITOR.dialogCommand( 'inserthtmlDialog' ) );

		// Create a toolbar button that executes the above command.
		editor.ui.addButton( 'inserthtml', {

			// The text part of the button (if available) and tooptip.
			label: 'Html invoegen',
			icon : icon,

			// The command to execute on click.
			command: 'inserthtml'
		});
		
		// Register our dialog file. this.path is the plugin folder path.
		CKEDITOR.dialog.add( 'inserthtmlDialog', this.path + 'dialogs/inserthtml.js' );
		
	}
});