<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2009: Fred Stuurman (fc.stuurman@gmail.com)
* Portal module : 
* sn_links_portal.php: last changed 16/05/2009 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

$table_links = $dbprefix . "m_links";
$table_links_cat = $dbprefix . "m_links_cat";

$query3 = "SELECT l.title, l.description, l.pagename, l.url, p.id, p.section FROM $table_links l 
			LEFT JOIN $table_links_cat c ON l.pagename = c.id
			LEFT JOIN $table_pages p ON p.name = c.pagename WHERE module = 'sn_links/view_links.php' AND p.hidden != 'yes' AND initial = 1
			ORDER BY l.id DESC LIMIT 0,$items";
$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING);
$RecordCount = mysqli_num_rows($result3);
if ($RecordCount > 0)
{

	print "\n<table cellpadding=\"0\" cellspacing=\"2\" border=\"0\">\n
			<tr><td colspan=\"3\"><span class=\"sas_module_subtitle\">" . $description . "</span></td></tr>\n
			<tr><td width=\"100\"><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_title']."</span></td>
			<td>&nbsp;</td>
			<td><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_description']."</span></td></tr>\n";
			
	while ($links_list = mysqli_fetch_array($result3))
	{	
		$link = "index.php?page=$links_list[4]&amp;section=$links_list[5]";
		
		if ($links_list[1] != "")	//description not empty
		{
			$descr = substr(strip_tags($links_list[1]),0,45) ;
		}
		else
		{
			$descr = $links_list[3] ;
		}
		
		print "<tr><td valign=\"top\"><span class=\"sas_module_text\">$links_list[0]</span></td>
				<td>&nbsp;</td>
				<td><span class=\"sas_module_text\">$descr, </span><span class=\"sas_module_link\">
				<a href=\"$link\" target=\"$target\">".$sas_lang['portal_module_read_more']."</a></span></td>
				</tr>\n";
	}
	print "</table>\n";
}
?>