<?php

#############################################################################
#
# This module can be used in SyndeoCMS
# SyndeoCMS is a website management system designed for schools.
#
############################################################################
# Idea         : Gien
# Module       : questions
# Script       : Ask_questions.php
# Last changed : 07/07/2009
############################################################################
#                        LICENSE INFORMATION
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
##############################################################################

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 15, 'A');
}

if (IsSet ($_POST['intro_ask_question']))
{
	$intro_ask_questione = sanitize($_POST['intro_ask_question'], 100, 'H');
}

if (IsSet ($_POST['question']))
{
	$question = sanitize($_POST['question'], 1500, 'H');
}

if (IsSet ($_POST['name']))
{
	$name = sanitize($_POST['name'], 50 , 'S');
}

if (IsSet ($_POST['school']))
{
	$school = intval($_POST['school']);
}

if (IsSet ($_POST['date']))
{
	$date = sanitize($_POST['date'], 15 , 'S');
	$date = convert_date($date); //put it in the form of %y-%m-%d
}

if (IsSet ($_POST['applicant']))
{
	$applicant = sanitize($_POST['applicant'], 25 , 'S'); //sanitize, 25 chars max
}

if (IsSet ($_POST['category']))
{
    $category = intval($_POST['category']); //is a number
}

if (IsSet ($_POST['publish']))
{
	$publish = sanitize($_POST['publish'], 1, 'I');
}
if (IsSet ($_POST['check_before_post']))
{
	$check_before_post = sanitize($_POST['check_before_post'], 1, 'I');
}

if (IsSet ($_POST['public']))
{
	$public = sanitize($_POST['public'], 1, 'I');
}
else
{
	$public = 0 ;
}

load_language($cmsdir . '/', 'sn_questions'); //load language file

$table_question = $dbprefix . "m_questions";
$table_question_cat = $dbprefix . "m_questions_cat";
$table_question_school = $dbprefix . "m_questions_school";
$date_format = $sas_config['dateformat'];
$error = 0;

$ip = $_SERVER["REMOTE_ADDR"];
			$string = "http://";
			if ((!strstr($homepage, $string)) AND (!empty($homepage)))
			{
				$homepage = "http://" . "$homepage";
			}

	if ($modoption == "save_question")
	{
		$days = intval($days);
	
		if ($question == "")
		{
			print stripslashes($sas_lang['questions_module_noquestion']); //Error message when no message
			$error = 1;
		}
		elseif ($name == "")
		{
			print stripslashes($sas_lang['questions_module_noname']); //Error message when no name
			$error = 1;
		}
		if ($error == 0)
		{
		mysqli_query($db,"INSERT INTO $table_question (id, applicant, school, cat_id, question, date, publish, check_before_post)
					VALUES (NULL, '$name', '$school', '$category', '$question', NOW(), '$publish', '$check_before_post' )");

$query3 = "SELECT id, email, pagename FROM $table_question_cat WHERE id = '$category'";
$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3. '".',E_USER_WARNING);

$email_owner = mysqli_result($result3, 0, 1);
$pagename =  mysqli_result($result3, 0, 2);

$query4 = "SELECT id, school FROM $table_question_school WHERE id = '$school'";
$result4 = mysqli_query($db,$query4) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query4. '".',E_USER_WARNING);

$school =  mysqli_result($result4, 0, 1);

if ($email_owner != "")

{
    $subject = " ".$sas_lang['questions_module_mailsubject']." ". $pagename ." "  ;
    $date1 = date("d-m-Y - H:i:s");
    $message_to_sent = "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\"
    \"http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd\">
    <html>
    <head>
    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=" . $sas_lang['lang_charset'] . "\">
    <title>".$sas_lang['questions_module_email']."</title>
				</head><body>
				 " . $sas_lang['questions_module_mailtext'] . "&nbsp;<b>" . $pagename . "</b><br><br>
				 <table width=70%><tr>
				 <td width=20%>" . $sas_lang['questions_module_date'] . "</td>
                 <td width=1%>:</td>
				 <td><b>$date1</b></td>
				 </tr>
				 <tr>
				 <td>" . $sas_lang['questions_module_applicant'] . " </td>
                 <td width=1%>:</td>
				 <td><b>$name</b></td>
				 </tr><tr>
				 <td>" . $sas_lang['questions_module_school'] . " </td>
                 <td width=1%>:</td>
				 <td><b>$school</b></td>
				 </tr><tr>
				 <td valign=top>" . $sas_lang['questions_module_question'] . " </td>
                 <td width=1%>:</td>
				 <td><b>$question </b></td>
				 </tr><tr>
				 <td>IP adres</td>
                 <td width=1%>:</td>
				 <td><b>$ip</b></td>
				 </tr>
				 </table>
				 </body></html>";

    require ("$cmsdir/core/class.phpmailer.php"); //use the phpmailer class
    $mail = new PHPMailer();
    $mail->CharSet = $sas_lang['lang_charset'] ;
    $mail->From = $email; //email address of submitter
    $mail->FromName = $sitename;
    $mail->Subject = $subject;
    $mail->Body = $message_to_sent;
    $mail->IsHTML(true);
    $mail->AddAddress($email_owner); //add email address question page owner.
    $mail->Send();
}

		print "<span class=\"sas_module_text\">". $sas_lang['questions_module_added']. "</span>";
		}
		print "<br><br><input type=\"button\" value=\"$sas_lang[goback]\" name=\"backbutton\" onClick=\"javascript:history.go(-1)\" class=\"backbutton\">";
	}
	
	else
	{
		print "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" width=\"100%\">";
		print "<tr><td><span class=\"sas_module_title\">" . $sas_config['questions_add_menu'] . "</span></td></tr>";
		print "</table>";
	
		print "<table class=\"sas_module_table\">
			<tr>
				<td valign=\"top\"><span class=\"sas_module_title\">". $welcometext ."</span>
				<form name=\"mainform\" action=\"index.php?section=$section&amp;page=$page&amp;modoption=save_question\" method=\"post\">
			
			<table cellspacing=\"0\" cellpadding=\"4\" border=\"0\">
            <tr>
				<td width=\"25%\" valign=\"top\" align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['questions_module_name'] . ":</span></td>
				<td><input type=\"text\" name=\"name\" class=\"sas_module_input\" size=\"40\"/></td>
			</tr>";

        print "<tr><td colspan=\"2\">&nbsp;</td></tr>";
		print "<tr><td valign=\"top\" align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['questions_module_school'] . ": </span></td>
				<td><select size=\"1\" class=\"text\" name=\"school\">";

		$query2 = "SELECT id, school FROM $table_question_school ORDER BY school";
		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING);

			while ($page_list = mysqli_fetch_array($result2))
			{
				if ($page_list[2] == 1)
				{
					$public = "(*)" ;
				}
				else
				{
					$public = "" ;
				}
				print "<option value=\"$page_list[0]\">$page_list[1] $public</option>\n";
			}

		print "</select></td></tr>";

		print "<tr><td colspan=\"2\">&nbsp;</td></tr>";
		print "<tr><td valign=\"top\" align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['questions_module_pagename'] . ": </span></td>
				<td><select size=\"1\" class=\"text\" name=\"category\">";
		
		$query2 = "SELECT id, pagename, public FROM $table_question_cat ORDER BY pagename";
		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING);
			 
			while ($page_list = mysqli_fetch_array($result2))
			{
				if ($page_list[2] == 1)
				{
					$public = "(*)" ;
				}
				else
				{
					$public = "" ;
				}
				print "<option value=\"$page_list[0]\">$page_list[1] $public</option>\n";
			}
				
		print "</select></td></tr>

            <tr>
				<td width=\"25%\" valign=\"top\" align=\"right\"><br><span class=\"sas_module_lbl1\">" . $sas_lang['questions_module_question'] . ":</span></td>
				<td><br><textarea name=\"question\" rows=\"6\" class=\"sas_module_input\" cols=\"50\"></textarea></td>
			</tr>
            </table>";
	
		print "	<br/>
				<center>
				<input type=\"submit\" id=\"submit\" value=\"" . $sas_lang['save'] . "\"/>
				</center>		
				</form>
			</td>
		</tr>
		</table>";
	}
//}
?>
